/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: XTitle.idl,v $
 * $Revision: 1.3 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef __org_openoffice_excel_XTitle_idl__
#define __org_openoffice_excel_XTitle_idl__

#ifndef __org_openoffice_vba_XHelperInterface_idl__
#include <org/openoffice/vba/XHelperInterface.idl>
#endif

#ifndef __com_sun_star_script_BasicErrorException_idl__
#include <com/sun/star/script/BasicErrorException.idl>
#endif

module org { module openoffice { module excel { 

interface XCharacters;
interface XFont;
interface XBorder;
interface XInterior;

interface XTitle
{
	interface ::org::openoffice::vba::XHelperInterface;
    //    XBorder			Border( ) raises ( com::sun::star::script::BasicErrorException );

    XInterior Interior() raises(com::sun::star::script::BasicErrorException);

    XFont Font() raises(com::sun::star::script::BasicErrorException);

    void setText([in] string Text) raises(com::sun::star::script::BasicErrorException);

    string getText() raises(com::sun::star::script::BasicErrorException);
    // #FIXME existing implementation object needs to be usable for shape, chart
    // axes etc.
    //XCharacters Characters() raises(com::sun::star::script::BasicErrorException);

    void setTop([in] double Top) raises(com::sun::star::script::BasicErrorException);

    double getTop() raises(com::sun::star::script::BasicErrorException);

    void setLeft([in] double Left) raises(com::sun::star::script::BasicErrorException);

    double getLeft() raises(com::sun::star::script::BasicErrorException);

    void setOrientation([in] long Orientation) raises(com::sun::star::script::BasicErrorException);

    long getOrientation() raises(com::sun::star::script::BasicErrorException);

    // any			Select(  ) raises ( com::sun::star::script::BasicErrorException );

    // any			Delete(  ) raises ( com::sun::star::script::BasicErrorException );

    //    void			setName( [in] string Name ) raises ( com::sun::star::script::BasicErrorException );

    //    string			getName( ) raises ( com::sun::star::script::BasicErrorException );

    // void		setFill( [in] XChartFillFormat Fill ) raises ( com::sun::star::script::BasicErrorException );

    // XChartFillFormat		getFill( ) raises ( com::sun::star::script::BasicErrorException );

    // void			setCaption( [in] string Caption ) raises ( com::sun::star::script::BasicErrorException );

    // string			getCaption( ) raises ( com::sun::star::script::BasicErrorException );

    // void			setHorizontalAlignment( [in] any HorizontalAlignment ) raises ( com::sun::star::script::BasicErrorException );

    // any			getHorizontalAlignment( ) raises ( com::sun::star::script::BasicErrorException );

    // void			setShadow( [in] boolean Shadow ) raises ( com::sun::star::script::BasicErrorException );

    // boolean			getShadow( ) raises ( com::sun::star::script::BasicErrorException );

    // void			setVerticalAlignment( [in] any VerticalAlignment ) raises ( com::sun::star::script::BasicErrorException );

    // any			getVerticalAlignment( ) raises ( com::sun::star::script::BasicErrorException );

    // void			setReadingOrder( [in] long ReadingOrder ) raises ( com::sun::star::script::BasicErrorException );

    // long			getReadingOrder( ) raises ( com::sun::star::script::BasicErrorException );

    // void			setAutoScaleFont( [in] any AutoScaleFont ) raises ( com::sun::star::script::BasicErrorException );

    // any			getAutoScaleFont( ) raises ( com::sun::star::script::BasicErrorException );


};

}; }; };

#endif

